import path_setting
from in_common.base_request import BaseRequest


class hybrid_gift_list_request(BaseRequest):

    def __init__(self):
        self.data = self.api_load(path_setting.HYBRID_GIFT_LIST_CONFIG)

    #商祥页-美券列表
    def gift_list_data(self, service_id, gift_type, page):
        self.params["service_id"] = service_id
        self.params["gift_type"] = gift_type
        self.params["page"] = page
        return self.api_send(self.data["gift_list_data"])


if __name__ == '__main__':
    #打印商祥页-美券列表接口返回
    print(hybrid_gift_list_request().gift_list_data("5857263", 1, 1))